Subject: [Dots] Suresh Krishnan's Discuss on draft-ietf-dots-requirements-18: (with DISCUSS and COMMENT)

From: Suresh Krishnan <[email-masked]>
Date: Thu, 21 Feb 2019 06:11:10 -0800

Suresh Krishnan has entered the following ballot position for
draft-ietf-dots-requirements-18: Discuss

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-dots-requirements/

----------------------------------------------------------------------
DISCUSS:
----------------------------------------------------------------------

I think SIG-002 is a bit underspecified. It points to
draft-ietf-intarea-frag-fragile as the recommended mechanism for discovering
PMTUD, but in fact draft-ietf-intarea-frag-fragile is designed to provide a
list of potential solutions and recommendations for application and protocol
developers (Section 7.1.). So I expect this document to specify what it intends
to do for fragmentation instead of a vague reference.

IPv4 does not support a minimum PMTU of 576 as claimed here. RFC791 clearly
states that the minimum PMTU is 68 octets. I suggest rewording this to

OLD:
DOTS implementations MAY rely on a PMTU of 576 bytes for IPv4 datagrams, as
discussed in [RFC0791] and [RFC1122].

NEW:
DOTS implementations MAY assume on a PMTU of 576 bytes for IPv4 datagrams, as
every IPv4 host must be capable of receiving a packet whose length is equal to
576 bytes as discussed in [RFC0791] and [RFC1122].

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

The recommendation of the 1280 byte minimum for IPv6 needs some reasoning and a
reference to RFC8200. e.g. something like this would work

OLD:
If the PMTU cannot be discovered, DOTS agents MUST assume a PMTU of 1280 bytes
for IPv6.

NEW:
If the PMTU cannot be discovered, DOTS agents MUST assume a PMTU of 1280 bytes,
as IPv6 requires that every link in the Internet have an MTU of 1280 octets or
greater as specified in [RFC8200].

---

From: "Konda, Tirumaleswar Reddy" <[email-masked]>
Date: Fri, 22 Feb 2019 09:05:17 +0000

Hi Suresh,

Please see inline

> -----Original Message-----
> From: Suresh Krishnan <[email-masked]>
> Sent: Thursday, February 21, 2019 7:41 PM
> To: The IESG <[email-masked]>
> Cc: [email-masked]; Liang Xia
> <[email-masked]>; [email-masked];
> [email-masked]; [email-masked]
> Subject: Suresh Krishnan's Discuss on draft-ietf-dots-requirements-18: (with
> DISCUSS and COMMENT)
> 
> This email originated from outside of the organization. Do not click links or
> open attachments unless you recognize the sender and know the content is safe.
> 
> When responding, please keep the subject line intact and reply to all email
> addresses included in the To and CC lines. (Feel free to cut this introductory
> paragraph, however.)
> 
> 
> I think SIG-002 is a bit underspecified. It points to draft-ietf-intarea-frag-fragile
> as the recommended mechanism for discovering PMTUD, but in fact draft-ietf-
> intarea-frag-fragile is designed to provide a list of potential solutions and
> recommendations for application and protocol developers (Section 7.1.). So I
> expect this document to specify what it intends to do for fragmentation instead
> of a vague reference.

Added the following line to SIG-002:

If the total message size exceeds the path MTU, the DOTS agent MUST split the message into separate messages; for example, the list of mitigation scope types 
could be split into multiple lists and each list conveyed in a new message.

> 
> IPv4 does not support a minimum PMTU of 576 as claimed here. RFC791
> clearly states that the minimum PMTU is 68 octets. I suggest rewording this to
> 
> OLD:
> DOTS implementations MAY rely on a PMTU of 576 bytes for IPv4 datagrams,
> as discussed in [RFC0791] and [RFC1122].
> 
> NEW:
> DOTS implementations MAY assume on a PMTU of 576 bytes for IPv4
> datagrams, as every IPv4 host must be capable of receiving a packet whose
> length is equal to
> The recommendation of the 1280 byte minimum for IPv6 needs some
> reasoning and a reference to RFC8200. e.g. something like this would work
> 
> OLD:
> If the PMTU cannot be discovered, DOTS agents MUST assume a PMTU of 1280
> bytes for IPv6.
> 
> NEW:
> If the PMTU cannot be discovered, DOTS agents MUST assume a PMTU of 1280
> bytes, as IPv6 requires that every link in the Internet have an MTU of 1280
> octets or greater as specified in [RFC8200].

Thanks, updated draft to use the NEW text for IPv4 and IPv6.

Cheers,
-Tiru